orte/mca/gpr/replica/api_layer/gpr_replica_api.h File Reference.TH "orte/mca/gpr/replica/api_layer/gpr_replica_api.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/api_layer/gpr_replica_api.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include <time.h>\fP
.br
\fC#include 'class/orte_pointer_array.h'\fP
.br
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br
\fC#include 'mca/gpr/replica/functional_layer/gpr_replica_fn.h'\fP
.br
\fC#include 'mca/gpr/replica/transition_layer/gpr_replica_tl.h'\fP
.br
\fC#include 'mca/gpr/replica/gpr_replica.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_replica_begin_compound_cmd\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_stop_compound_cmd\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_exec_compound_cmd\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_increment_value\fP (\fBorte_gpr_value_t\fP *value)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_decrement_value\fP (\fBorte_gpr_value_t\fP *value)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_delete_segment\fP (char *segment)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_delete_segment_nb\fP (char *segment, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_delete_entries\fP (orte_gpr_addr_mode_t mode, char *segment, char **tokens, char **keys)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_delete_entries_nb\fP (orte_gpr_addr_mode_t addr_mode, char *segment, char **tokens, char **keys, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_index\fP (char *segment, size_t *cnt, char ***index)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_index_nb\fP (char *segment, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_cleanup_job\fP (\fBorte_jobid_t\fP jobid)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_cleanup_proc\fP (orte_process_name_t *proc)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_put\fP (size_t cnt, \fBorte_gpr_value_t\fP **values)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_put_nb\fP (size_t cnt, \fBorte_gpr_value_t\fP **values, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get\fP (orte_gpr_addr_mode_t addr_mode, char *segment, char **tokens, char **keys, size_t *cnt, \fBorte_gpr_value_t\fP ***values)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_conditional\fP (orte_gpr_addr_mode_t addr_mode, char *segment, char **tokens, char **keys, size_t num_conditions, orte_gpr_keyval_t **conditions, size_t *cnt, \fBorte_gpr_value_t\fP ***values)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_nb\fP (orte_gpr_addr_mode_t addr_mode, char *segment, char **tokens, char **keys, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_subscribe\fP (size_t num_subs, \fBorte_gpr_subscription_t\fP **subscriptions, size_t num_trigs, \fBorte_gpr_trigger_t\fP **trigs)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_unsubscribe\fP (orte_gpr_subscription_id_t sub_number)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_cancel_trigger\fP (orte_gpr_trigger_id_t trig)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_all\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_segments\fP (char *segment, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_triggers\fP (orte_gpr_trigger_id_t start, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_subscriptions\fP (orte_gpr_subscription_id_t start, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_a_trigger\fP (char *name, orte_gpr_trigger_id_t id, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_a_subscription\fP (char *name, orte_gpr_subscription_id_t id, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_local_triggers\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_local_subscriptions\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_callbacks\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_notify_msg\fP (orte_gpr_notify_message_t *msg, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_notify_data\fP (\fBorte_gpr_notify_data_t\fP *data, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_value\fP (\fBorte_gpr_value_t\fP *value, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_preallocate_segment\fP (char *name, size_t num_slots)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_deliver_notify_msg\fP (orte_gpr_notify_message_t *msg)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
